diff -crN gimp-1.0.0.orig/gimprc.os2 gimp-1.0.0/gimprc.os2
*** gimp-1.0.0.orig/gimprc.os2	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/gimprc.os2	Wed Sep  9 03:13:58 1998
***************
*** 0 ****
--- 1,212 ----
+ # This is the system-wide gimprc file.  Any change made in this file
+ # will affect all users of this system, provided that they are not
+ # overriding the default values in their personal gimprc file.
+ #
+ # Lines that start with a '#' are comments.
+ # Blank lines are ignored.
+ 
+ # The variable gimp_dir is set to either the interned value
+ # .gimp or the environment variable GIMP_DIRECTORY.  If
+ # the path in GIMP_DIRECTORY is relative, it is considered
+ # relative to your home directory.
+ 
+ # XFree86/OS2:
+ # The variable x11root is set to the environment variable X11ROOT.
+ 
+ (prefix "${x11root}/XFree86")
+ (exec_prefix "${prefix}")
+ (gimp_data_dir "${prefix}/lib/X11/gimp/data")
+ (gimp_plugin_dir "${exec_prefix}/lib/X11/gimp")
+ 
+ # Set the temporary storage directory...files will appear here
+ # during the course of running the gimp.  Most files will disappear
+ # when the gimp exits, but some files are likely to remain,
+ # such as working palette files, so it is best if this directory
+ # not be one that is shared by other users or is cleared on machine
+ # reboot such as /tmp.
+ (temp-path "${gimp_dir}/tmp")
+ 
+ # Set the swap file location. The gimp uses a tile based memory
+ # allocation scheme. The swap file is used to quickly and easily
+ # swap files out to disk and back in. Be aware that the swap file
+ # can easily get very large if the gimp is used with large images.
+ # Also, things can get horribly slow if the swap file is created on 
+ # a directory that is mounted over NFS.  For these reasons, it may 
+ # be desirable to put your swap file in "/tmp".
+ (swap-path "${gimp_dir}")
+ 
+ # Set the brush search path...this path will be searched for valid
+ #  brushes at startup.
+ (brush-path "${gimp_dir}/brushes;${gimp_data_dir}/brushes")
+ 
+ # Specify a default brush. If none is specified it defaults to the
+ #  "1circle.gbr" brush which is just a single pixel sized brush.
+ #  The brush is searched for in the brush path.
+ (default-brush "19fcircle.gbr")
+ 
+ # Set the pattern search path...this path will be searched for valid
+ #  patterns at startup.
+ (pattern-path "${gimp_dir}/patterns;${gimp_data_dir}/patterns")
+ 
+ # Specify a default pattern.
+ #  The pattern is searched for in the specified pattern paths.
+ (default-pattern "wood2.pat")
+ 
+ # Set the palette search path...this path will be searched for valid
+ #  palettes at startup.
+ (palette-path "${gimp_dir}/palettes")
+ 
+ # Specify a default palette.
+ #  The pattern is searched for in the specified pattern paths.
+ (default-palette "Default")
+ 
+ # Set the gradient search path...this path will be searched for valid
+ #  gradients at startup.
+ (gradient-path "${gimp_dir}/gradients;${gimp_data_dir}/gradients")
+ 
+ # Specify a default gradient.
+ #  The gradient is searched for in the specified gradient paths.
+ (default-gradient "German_flag_smooth")
+ 
+ # Set the plug-in search path...this path will be searched for
+ #  plug-ins when the plug-in is run.
+ (plug-in-path "${gimp_dir}/plug-ins;${gimp_dir}/plug-ins/script-fu;${gimp_plugin_dir}/plug-ins")
+ 
+ # Set the path for the script-fu plug-in.  This value is ignored by
+ #  the GIMP if the script-fu plug-in is never run.
+ (script-fu-path "${gimp_dir}/scripts;${gimp_data_dir}/scripts")
+ 
+ 
+ # The tile cache is used to make sure the gimp doesn't thrash
+ # tiles between memory and disk. Setting this value higher will
+ # cause the gimp to use less swap space, but will also cause
+ # the gimp to use more memory. Conversely, a smaller cache size
+ # causes the gimp to use more swap space and less memory.
+ # Note: the gimp will still run even if `tile-cache-size' is
+ # set to 0. The actual size can contain a suffix of 'm', 'M',
+ # 'k', 'K', 'b' or 'B', which makes the gimp interpret the
+ # size as being specified in megabytes, kilobytes and bytes
+ # respectively. If no suffix is specified the size defaults to
+ # being specified in kilobytes.
+ (tile-cache-size 10m)
+ 
+ # Speed of marching ants in the selection outline
+ #  this value is in milliseconds
+ #  (less time indicates faster marching)
+ (marching-ants-speed 300)
+ 
+ # Set the number of operations kept on the undo stack
+ (undo-levels 5)
+ 
+ # Set the color-cube resource for dithering on 8-bit displays
+ #  The 4 values stand for Shades of red, green, blue and grays
+ #  Multiplying the # of shades of each primary color yields
+ #  the total number of colors that will be allocated from the
+ #  gimp colormap.  This number should not exceed 256.  Most of the
+ #  colors remaining after the allocation of the colorcube
+ #  will be left to the system palette in an effort to reduce
+ #  colormap "flashing".
+ (color-cube 6 6 4 24)
+ 
+ # Install a GIMP colormap by default -- only for 8-bit displays
+ # (install-colormap)
+ 
+ # Specify that marching ants for selected regions will be drawn
+ #  with colormap cycling as oposed to redrawing with different stipple masks
+ #  this color cycling option works only with 8-bit displays
+ # (colormap-cycling)
+ 
+ # Tools such as fuzzy-select and bucket fill find regions based on a
+ #  seed-fill algorithm.  The seed fill starts at the intially selected
+ #  pixel and progresses in all directions until the difference of pixel
+ #  intensity from the original is greater than a specified threshold
+ #  ==> This value represents the default threshold
+ (default-threshold 15)
+ 
+ # There is always a tradeoff between memory usage and speed.  In most
+ #  cases, the GIMP opts for speed over memory.  However, if memory is
+ #  a big issue, set stingy-memory-use
+ # (stingy-memory-use)
+ 
+ # When zooming into and out of images, this option enables the
+ #  automatic resizing of windows
+ # (allow-resize-windows)
+ 
+ # Context-dependent cursors are cool.  They are enabled by default.
+ #  However, they require overhead that you may want to do without.
+ #  Uncomment this line to disable them.
+ # (no-cursor-updating)
+ 
+ # Layer preview sizes:
+ #  none:    no previews in layers dialog/layer selector
+ #  small:   32x32
+ #  medium:  64x64
+ #  large:   128x128
+ #  #:       #x#
+ (preview-size small)
+ 
+ # Tooltips
+ #  Comment this out to disable the tooltips in the toolbox
+ # (dont-show-tool-tips)
+ 
+ # Controlling ruler visibility
+ #  The default behavior is for rulers to be ON
+ #  This can also be toggled with the View->Show Rulers command or shift+control+r
+ # (dont-show-rulers)
+ 
+ # Ruler units
+ #  The units of rulers can be one of: (pixels inches centimeters)
+ #  The default is pixels
+ (ruler-units pixels)
+ 
+ # Disable auto saving
+ #  Auto saving is not yet implemented! Nothing will be auto-saved, no matter
+ #  how you set this here.  
+ #  Just uncomment the line below...
+ # (dont-auto-save)
+ 
+ # Disable confirmation before closing an image without saving
+ #  Just uncomment the next line
+ # (dont-confirm-on-close)
+ 
+ # Setting the level of interpolation
+ #  Uncommenting this line will enable cubic interpolation.
+ #  By default, GIMP uses linear interpolation, which is faster, but has poorer quality
+ # (cubic-interpolation)
+ 
+ # Set the gamma correction values for the display
+ #  1.0 corresponds to no gamma correction.  For most displays,
+ #  gamma correction should be set to between 2.0 and 2.6
+ #  Run the utility "gamma_correct" to determine appropriate values
+ #  for your display.
+ #
+ # One important item to keep in mind:  Many images that you might
+ #  get from outside sources will in all likelihood already be
+ #  gamma-corrected.  In these cases, the image will look washed-out
+ #  if the gimp has gamma-correction turned on.  If you are going
+ #  to work with images of this sort, turn gamma correction off
+ #  by removing this line, or setting the values to 1.0.
+ #  gamma-correction 1.0
+ #  gamma-correction 2.0
+ #                 ___
+ (gamma-correction 1.0)
+ 
+ # Set the manner in which transparency is displayed in images
+ #  Transparency type can be one of:
+ #    0: Light Checks
+ #    1: Mid-Tone Checks
+ #    2: Dark Checks
+ #    3: White Only
+ #    4: Gray Only
+ #    5: Black Only
+ #  Check size can be one of:
+ #    0: Small
+ #    1: Medium
+ #    2: Large
+ (transparency-type 1)
+ (transparency-size 2)
+ 
+ # gfig pattern directory
+ (gfig-path "${gimp_dir}/gfig;${gimp_data_dir}/gfig")
+ 
+ # [end of file]
diff -crN gimp-1.0.0.orig/gimprc_user.os2 gimp-1.0.0/gimprc_user.os2
*** gimp-1.0.0.orig/gimprc_user.os2	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/gimprc_user.os2	Sat Jul 11 16:18:12 1998
***************
*** 0 ****
--- 1,17 ----
+ # This is your personal gimprc file.  Any variable defined in this file
+ # takes precedence over the value defined in the system-wide gimprc:
+ # ${x11root}/XFree86/lib/X11/gimp/data/gimprc
+ # Take a look at that file if you want to see some of the options that
+ # can be set here.
+ 
+ # Most values can be set automatically within the GIMP, if you press
+ # the "save" button after changing some options in the Preferences
+ # dialog box.  You can also edit this file by hand, and the GIMP will
+ # always try to do the right thing when saving new options after you
+ # have edited this file.
+ 
+ (show-tips yes)
+ 
+ # Install a GIMP colormap by default -- only for 8-bit displays
+ # (install-colormap)
+ 
diff -crN gimp-1.0.0.orig/Imakefile gimp-1.0.0/Imakefile
*** gimp-1.0.0.orig/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/Imakefile	Sat Jul 11 16:17:04 1998
***************
*** 0 ****
--- 1,29 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "gimp.cf"
+ 
+ #define IHaveSubdirs
+ #define PassCDebugFlags
+ 
+ SUBDIRS = libgimp plug-ins app data
+ 
+ MakeSubdirs($(SUBDIRS))
+ DependSubdirs($(SUBDIRS))
+ 
+ gimpdata_DATA = gtkrc gimp_logo.ppm gimp_splash.ppm \
+ 		gimp_tips.txt ps-menurc gtkrc.forest2
+ 
+ #ifndef OS2Architecture
+ gimpdata_SCRIPTS = user_install
+ #else
+ gimpdata_SCRIPTS = user_install.cmd
+ #endif
+ 
+ InstallNamedProg($(gimpdata_SCRIPTS),$(gimpdata_SCRIPTS),$(GIMPDATADIR))
+ InstallNamedNonExec(gimprc.os2,gimprc,$(GIMPDATADIR))
+ InstallNamedNonExec(gimprc_user.os2,gimprc_user,$(GIMPDATADIR))
+ InstallMultiple($(gimpdata_DATA),$(GIMPDATADIR))
+ 
diff -crN gimp-1.0.0.orig/libgimp/gimp.c gimp-1.0.0/libgimp/gimp.c
*** gimp-1.0.0.orig/libgimp/gimp.c	Thu May 28 17:03:46 1998
--- gimp-1.0.0/libgimp/gimp.c	Fri Jul 10 19:16:32 1998
***************
*** 30,35 ****
--- 30,38 ----
  #include <sys/time.h>
  #include <sys/param.h>
  #include <unistd.h>
+ #ifdef __EMX__
+ #include <fcntl.h>
+ #endif
  
  #ifdef HAVE_SYS_SELECT_H
  #include <sys/select.h>
***************
*** 71,77 ****
--- 74,88 ----
  
  static GHashTable *temp_proc_ht = NULL;
  
+ #ifndef __EMX__
  extern GPlugInInfo PLUG_IN_INFO;
+ #else
+ static GPlugInInfo PLUG_IN_INFO;
+ void set_gimp_PLUG_IN_INFO(const GPlugInInfo *p)
+ {
+   PLUG_IN_INFO = *p;
+ }
+ #endif
  
  
  int
***************
*** 97,102 ****
--- 108,117 ----
  
    _readfd = atoi (argv[2]);
    _writefd = atoi (argv[3]);
+ #ifdef __EMX__
+   setmode(_readfd, O_BINARY);
+   setmode(_writefd, O_BINARY);
+ #endif
  
    gp_init ();
    wire_set_writer (gimp_write);
diff -crN gimp-1.0.0.orig/libgimp/gimp.h gimp-1.0.0/libgimp/gimp.h
*** gimp-1.0.0.orig/libgimp/gimp.h	Thu May 28 17:03:46 1998
--- gimp-1.0.0/libgimp/gimp.h	Fri Jul 10 19:12:20 1998
***************
*** 161,167 ****
--- 161,171 ----
  };
  
  
+ #ifndef __EMX__
  #define MAIN() int main (int argc, char *argv[]) { return gimp_main (argc, argv); }
+ #else
+ #define MAIN() int main (int argc, char *argv[]) { set_gimp_PLUG_IN_INFO(&PLUG_IN_INFO); return gimp_main (argc, argv); }
+ #endif
  
  
  /* The main procedure that should be called with the
diff -crN gimp-1.0.0.orig/libgimp/gimpos2.def gimp-1.0.0/libgimp/gimpos2.def
*** gimp-1.0.0.orig/libgimp/gimpos2.def	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/libgimp/gimpos2.def	Wed Aug  5 00:02:44 1998
***************
*** 0 ****
--- 1,253 ----
+ LIBRARY gimp
+ DESCRIPTION "gimp.dll for XFree86/OS2 version 1.0.0"
+ CODE PRELOAD
+ DATA MULTIPLE NONSHARED
+ STACKSIZE 65536
+ EXPORTS
+ 
+ ; From gimp.obj
+   "set_gimp_PLUG_IN_INFO" @1
+   "gimp_main" @2
+   "gimp_quit" @3
+   "gimp_set_data" @4
+   "gimp_run_procedure" @5
+   "gimp_destroy_params" @6
+   "gimp_get_data" @7
+   "gimp_progress_init" @8
+   "gimp_progress_update" @9
+   "gimp_message" @10
+   "gimp_query_database" @11
+   "gimp_query_procedure" @12
+   "gimp_query_images" @13
+   "gimp_install_procedure" @14
+   "gimp_install_temp_proc" @15
+   "gimp_uninstall_temp_proc" @16
+   "gimp_register_magic_load_handler" @17
+   "gimp_register_load_handler" @18
+   "gimp_register_save_handler" @19
+   "gimp_run_procedure2" @20
+   "gimp_gamma" @21
+   "gimp_install_cmap" @22
+   "gimp_use_xshm" @23
+   "gimp_color_cube" @24
+   "gimp_gtkrc" @25
+   "gimp_extension_process" @26
+   "gimp_extension_ack" @27
+   "_readfd" @28
+   "_writefd" @29
+   "_shm_ID" @30
+   "_shm_addr" @31
+ 
+ ; From gimpchannel.obj
+   "gimp_channel_new" @32
+   "gimp_channel_copy" @33
+   "gimp_channel_delete" @34
+   "gimp_channel_width" @35
+   "gimp_channel_height" @36
+   "gimp_channel_get_image_id" @37
+   "gimp_channel_get_layer_id" @38
+   "gimp_channel_get_color" @39
+   "gimp_channel_get_name" @40
+   "gimp_channel_get_opacity" @41
+   "gimp_channel_get_visible" @42
+   "gimp_channel_set_color" @43
+   "gimp_channel_set_name" @44
+   "gimp_channel_set_opacity" @45
+   "gimp_channel_set_visible" @46
+   "gimp_channel_get_show_masked" @47
+   "gimp_channel_set_show_masked" @48
+ 
+ ; From gimpdisplay.obj
+   "gimp_display_new" @49
+   "gimp_display_delete" @50
+   "gimp_displays_flush" @51
+ 
+ ; From gimpdrawable.obj
+   "gimp_drawable_get" @52
+   "gimp_drawable_width" @53
+   "gimp_drawable_height" @54
+   "gimp_drawable_bpp" @55
+   "gimp_drawable_detach" @56
+   "gimp_drawable_flush" @57
+   "gimp_drawable_delete" @58
+   "gimp_drawable_layer" @59
+   "gimp_drawable_update" @60
+   "gimp_drawable_merge_shadow" @61
+   "gimp_drawable_image_id" @62
+   "gimp_drawable_name" @63
+   "gimp_drawable_type" @64
+   "gimp_drawable_visible" @65
+   "gimp_drawable_channel" @66
+   "gimp_drawable_color" @67
+   "gimp_drawable_gray" @68
+   "gimp_drawable_has_alpha" @69
+   "gimp_drawable_indexed" @70
+   "gimp_drawable_layer_mask" @71
+   "gimp_drawable_mask_bounds" @72
+   "gimp_drawable_offsets" @73
+   "gimp_drawable_fill" @74
+   "gimp_drawable_set_name" @75
+   "gimp_drawable_set_visible" @76
+   "gimp_drawable_get_tile" @77
+   "gimp_drawable_get_tile2" @78
+ 
+ ; From gimpgradient.obj
+   "gimp_gradients_get_list" @79
+   "gimp_gradients_get_active" @80
+   "gimp_gradients_set_active" @81
+   "gimp_gradients_sample_uniform" @82
+   "gimp_gradients_sample_custom" @83
+ 
+ ; From gimpimage.obj
+   "gimp_image_new" @84
+   "gimp_image_delete" @85
+   "gimp_image_width" @86
+   "gimp_image_height" @87
+   "gimp_image_base_type" @88
+   "gimp_image_floating_selection" @89
+   "gimp_image_add_channel" @90
+   "gimp_image_add_layer" @91
+   "gimp_image_add_layer_mask" @92
+   "gimp_image_disable_undo" @93
+   "gimp_image_enable_undo" @94
+   "gimp_image_clean_all" @95
+   "gimp_image_flatten" @96
+   "gimp_image_lower_channel" @97
+   "gimp_image_lower_layer" @98
+   "gimp_image_merge_visible_layers" @99
+   "gimp_image_pick_correlate_layer" @100
+   "gimp_image_raise_channel" @101
+   "gimp_image_raise_layer" @102
+   "gimp_image_remove_channel" @103
+   "gimp_image_remove_layer" @104
+   "gimp_image_remove_layer_mask" @105
+   "gimp_image_resize" @106
+   "gimp_image_get_active_channel" @107
+   "gimp_image_get_active_layer" @108
+   "gimp_image_get_channels" @109
+   "gimp_image_get_cmap" @110
+   "gimp_image_get_component_active" @111
+   "gimp_image_get_component_visible" @112
+   "gimp_image_get_filename" @113
+   "gimp_image_get_layers" @114
+   "gimp_image_get_selection" @115
+   "gimp_image_set_active_channel" @116
+   "gimp_image_set_active_layer" @117
+   "gimp_image_set_cmap" @118
+   "gimp_image_set_component_active" @119
+   "gimp_image_set_component_visible" @120
+   "gimp_image_set_filename" @121
+ 
+ ; From gimplayer.obj
+   "gimp_layer_new" @122
+   "gimp_layer_copy" @123
+   "gimp_layer_delete" @124
+   "gimp_layer_width" @125
+   "gimp_layer_height" @126
+   "gimp_layer_bpp" @127
+   "gimp_layer_type" @128
+   "gimp_layer_add_alpha" @129
+   "gimp_layer_create_mask" @130
+   "gimp_layer_resize" @131
+   "gimp_layer_scale" @132
+   "gimp_layer_translate" @133
+   "gimp_layer_is_floating_selection" @134
+   "gimp_layer_get_image_id" @135
+   "gimp_layer_get_mask_id" @136
+   "gimp_layer_get_apply_mask" @137
+   "gimp_layer_get_edit_mask" @138
+   "gimp_layer_get_mode" @139
+   "gimp_layer_get_name" @140
+   "gimp_layer_get_opacity" @141
+   "gimp_layer_get_preserve_transparency" @142
+   "gimp_layer_get_show_mask" @143
+   "gimp_layer_get_visible" @144
+   "gimp_layer_set_apply_mask" @145
+   "gimp_layer_set_edit_mask" @146
+   "gimp_layer_set_mode" @147
+   "gimp_layer_set_name" @148
+   "gimp_layer_set_offsets" @149
+   "gimp_layer_set_opacity" @150
+   "gimp_layer_set_preserve_transparency" @151
+   "gimp_layer_set_show_mask" @152
+   "gimp_layer_set_visible" @153
+ 
+ ; From gimpmenu.obj
+   "gimp_image_menu_new" @154
+   "gimp_layer_menu_new" @155
+   "gimp_channel_menu_new" @156
+   "gimp_drawable_menu_new" @157
+ 
+ ; From gimppalette.obj
+   "gimp_palette_get_background" @158
+   "gimp_palette_get_foreground" @159
+   "gimp_palette_set_background" @160
+   "gimp_palette_set_foreground" @161
+   "gimp_palette_set_default_colors" @162
+   "gimp_palette_swap_colors" @163
+ 
+ ; From gimppixelrgn.obj
+   "gimp_pixel_rgn_init" @164
+   "gimp_pixel_rgn_resize" @165
+   "gimp_pixel_rgn_get_pixel" @166
+   "gimp_pixel_rgn_get_row" @167
+   "gimp_pixel_rgn_get_col" @168
+   "gimp_pixel_rgn_get_rect" @169
+   "gimp_pixel_rgn_set_pixel" @170
+   "gimp_pixel_rgn_set_row" @171
+   "gimp_pixel_rgn_set_col" @172
+   "gimp_pixel_rgn_set_rect" @173
+   "gimp_pixel_rgns_register" @174
+   "gimp_pixel_rgns_process" @175
+ 
+ ; From gimpprotocol.obj
+   "gp_init" @176
+   "gp_quit_write" @177
+   "gp_config_write" @178
+   "gp_tile_req_write" @179
+   "gp_tile_ack_write" @180
+   "gp_tile_data_write" @181
+   "gp_proc_run_write" @182
+   "gp_proc_return_write" @183
+   "gp_temp_proc_run_write" @184
+   "gp_temp_proc_return_write" @185
+   "gp_proc_install_write" @186
+   "gp_proc_uninstall_write" @187
+   "gp_extension_ack_write" @188
+   "_gp_params_destroy" @189
+ 
+ ; From gimptile.obj
+   "gimp_tile_ref" @190
+   "gimp_tile_ref_zero" @191
+   "gimp_tile_unref" @192
+   "gimp_tile_flush" @193
+   "gimp_tile_cache_size" @194
+   "gimp_tile_cache_ntiles" @195
+   "gimp_tile_width" @196
+   "gimp_tile_height" @197
+   "_gimp_tile_width" @198
+   "_gimp_tile_height" @199
+ 
+ ; From gimpwire.obj
+   "wire_register" @200
+   "wire_set_reader" @201
+   "wire_set_writer" @202
+   "wire_set_flusher" @203
+   "wire_read" @204
+   "wire_write" @205
+   "wire_flush" @206
+   "wire_error" @207
+   "wire_clear_error" @208
+   "wire_read_msg" @209
+   "wire_read_int32" @210
+   "wire_write_msg" @211
+   "wire_write_int32" @212
+   "wire_destroy" @213
+   "wire_read_int8" @214
+   "wire_read_int16" @215
+   "wire_read_double" @216
+   "wire_read_string" @217
+   "wire_write_int8" @218
+   "wire_write_int16" @219
+   "wire_write_double" @220
+   "wire_write_string" @221
diff -crN gimp-1.0.0.orig/libgimp/gimpos2.rsp gimp-1.0.0/libgimp/gimpos2.rsp
*** gimp-1.0.0.orig/libgimp/gimpos2.rsp	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/libgimp/gimpos2.rsp	Thu Jul  9 15:11:16 1998
***************
*** 0 ****
--- 1,6 ----
+ gimp.obj            gimpchannel.obj     gimpdisplay.obj     gimpdrawable.obj+
+ gimpgradient.obj    gimpimage.obj       gimplayer.obj       gimpmenu.obj+
+ gimppalette.obj     gimppixelrgn.obj    gimpprotocol.obj    gimptile.obj+
+ gimpwire.obj /NOL /NOD /BAT
+ gimp.dll
+ 
diff -crN gimp-1.0.0.orig/libgimp/Imakefile gimp-1.0.0/libgimp/Imakefile
*** gimp-1.0.0.orig/libgimp/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/libgimp/Imakefile	Sat Sep 12 23:25:56 1998
***************
*** 0 ****
--- 1,46 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #define DoNormalLib (!HasSharedLibraries || ForceNormalLib)
+ #define DoSharedLib HasSharedLibraries
+ #define LibName gimp
+ #define IncSubdir libgimp
+ 
+ #ifdef OS2Architecture
+ REQUIREDLIBS = $(X11ROOT)\\XFree86\\lib\\ gtk gdk glib Xext X11 shm
+ #endif
+ 
+ DEFINES = -DHAVE_CONFIG_H
+ 
+ INCLUDES = -I.. -I.
+ 
+ HEADERS = gimp.h gimpenums.h gimpmenu.h gimpui.h
+ 
+ OBJS1 =	gimpprotocol.o	\
+ 	gimpwire.o
+ 
+ OBJS2 =	gimp.o          \
+ 	gimpchannel.o   \
+ 	gimpdisplay.o   \
+ 	gimpdrawable.o  \
+ 	gimpgradient.o  \
+ 	gimpimage.o     \
+ 	gimplayer.o     \
+ 	gimppalette.o   \
+ 	gimppixelrgn.o  \
+ 	gimpprotocol.o  \
+ 	gimptile.o      \
+ 	gimpwire.o
+ 
+ OBJS3 = gimpmenu.o
+ 
+ OBJS = $(OBJS1) $(OBJS2) $(OBJS3)
+ 
+ #include <Library.tmpl>
+ 
+ #ifdef OS2Architecture
+ clean::
+ 	rm -rf exports
+ #endif
diff -crN gimp-1.0.0.orig/plug-ins/aa/Imakefile gimp-1.0.0/plug-ins/aa/Imakefile
*** gimp-1.0.0.orig/plug-ins/aa/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/aa/Imakefile	Sat Jul 11 15:52:48 1998
***************
*** 0 ****
--- 1,11 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ ADD_LIBS = -laa
+ 
+ SimpleProgramTarget(aa)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/AlienMap/Imakefile gimp-1.0.0/plug-ins/AlienMap/Imakefile
*** gimp-1.0.0.orig/plug-ins/AlienMap/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/AlienMap/Imakefile	Thu Jul  9 17:06:02 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(AlienMap)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/align_layers/Imakefile gimp-1.0.0/plug-ins/align_layers/Imakefile
*** gimp-1.0.0.orig/plug-ins/align_layers/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/align_layers/Imakefile	Thu Jul  9 17:07:02 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(align_layers)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/animationplay/Imakefile gimp-1.0.0/plug-ins/animationplay/Imakefile
*** gimp-1.0.0.orig/plug-ins/animationplay/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/animationplay/Imakefile	Thu Jul  9 16:58:56 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(animationplay)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/animoptimize/Imakefile gimp-1.0.0/plug-ins/animoptimize/Imakefile
*** gimp-1.0.0.orig/plug-ins/animoptimize/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/animoptimize/Imakefile	Thu Jul  9 17:07:24 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(animoptimize)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/apply_lens/Imakefile gimp-1.0.0/plug-ins/apply_lens/Imakefile
*** gimp-1.0.0.orig/plug-ins/apply_lens/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/apply_lens/Imakefile	Thu Jul  9 17:07:52 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(apply_lens)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/autocrop/Imakefile gimp-1.0.0/plug-ins/autocrop/Imakefile
*** gimp-1.0.0.orig/plug-ins/autocrop/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/autocrop/Imakefile	Thu Jul  9 17:08:48 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(autocrop)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/autostretch_hsv/Imakefile gimp-1.0.0/plug-ins/autostretch_hsv/Imakefile
*** gimp-1.0.0.orig/plug-ins/autostretch_hsv/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/autostretch_hsv/Imakefile	Thu Jul  9 17:09:26 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(autostretch_hsv)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/blinds/Imakefile gimp-1.0.0/plug-ins/blinds/Imakefile
*** gimp-1.0.0.orig/plug-ins/blinds/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/blinds/Imakefile	Thu Jul  9 17:09:58 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(blinds)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/blur/Imakefile gimp-1.0.0/plug-ins/blur/Imakefile
*** gimp-1.0.0.orig/plug-ins/blur/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/blur/Imakefile	Sat Jul 11 15:53:34 1998
***************
*** 0 ****
--- 1,11 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ ADD_LIBS = -L../gpc -lgpc
+ 
+ SimpleProgramTarget(blur)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/bmp/Imakefile gimp-1.0.0/plug-ins/bmp/Imakefile
*** gimp-1.0.0.orig/plug-ins/bmp/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/bmp/Imakefile	Thu Jul  9 18:42:34 1998
***************
*** 0 ****
--- 1,13 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SRCS = bmp.c bmpread.c bmpwrite.c
+ 
+ OBJS = bmp.o bmpread.o bmpwrite.o
+ 
+ ComplexProgramTarget(bmp)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/bumpmap/Imakefile gimp-1.0.0/plug-ins/bumpmap/Imakefile
*** gimp-1.0.0.orig/plug-ins/bumpmap/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/bumpmap/Imakefile	Thu Jul  9 18:44:46 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(bumpmap)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/bz2/bz2.c gimp-1.0.0/plug-ins/bz2/bz2.c
*** gimp-1.0.0.orig/plug-ins/bz2/bz2.c	Sat May 30 15:32:26 1998
--- gimp-1.0.0/plug-ins/bz2/bz2.c	Fri Jul 17 01:48:52 1998
***************
*** 42,47 ****
--- 42,51 ----
  #include <errno.h>
  #include "gtk/gtk.h"
  #include "libgimp/gimp.h"
+ #ifdef __EMX__
+ #include <fcntl.h>
+ #include <process.h>
+ #endif
  
  
  static void   query      (void);
***************
*** 242,247 ****
--- 246,252 ----
  /*     return -1; */
  /*   } */
  
+ #ifndef __EMX__
    /* fork off a bzip2 process */
    if ((pid = fork()) < 0)
      {
***************
*** 266,271 ****
--- 271,316 ----
        _exit(127);
      }
    else
+ #else /* __EMX__ */
+   if (!(f = fopen(filename,"w"))){
+     g_message("bz2: fopen failed: %s\n", g_strerror(errno));
+     return -1;
+   }
+   {
+     int tfd, flag;
+     /* save fileno(stdout) */
+     tfd = dup(fileno(stdout));
+     if (tfd < 0)
+       {
+ 	g_message("bz2: dup failed: %s\n", g_strerror(errno));
+ 	return -1;
+       }
+     /* make stdout for this process be the output file */
+     if (dup2(fileno(f),fileno(stdout)) == -1)
+       {
+ 	g_message ("bz2: dup2 failed: %s\n", g_strerror(errno));
+ 	close(tfd);
+ 	return -1;
+       }
+     flag = fcntl(tfd, F_GETFD);
+     fcntl(tfd, F_SETFD, flag | FD_CLOEXEC);
+     pid = spawnlp (P_NOWAIT, "bzip2", "bzip2", "-cf", tmpname, NULL);
+     fclose(f);
+     /* restore fileno(stdout) */
+     if (dup2(tfd,fileno(stdout)) == -1)
+       {
+ 	g_message ("bz2: dup2 failed: %s\n", g_strerror(errno));
+ 	close(tfd);
+ 	return -1;
+       }
+     close(tfd);
+     if (pid == -1)
+       {
+ 	g_message ("bz2: spawn failed: %s\n", g_strerror(errno));
+ 	return -1;
+       }
+   }
+ #endif
      {
        waitpid (pid, &status, 0);
  
***************
*** 302,307 ****
--- 347,353 ----
  
    tmpname = params[1].data.d_string;
  
+ #ifndef __EMX__
    /* fork off a g(un)zip and wait for it */
    if ((pid = fork()) < 0)
      {
***************
*** 326,331 ****
--- 372,418 ----
        _exit(127);
      }
    else  /* parent process */
+ #else /* __EMX__ */
+   {
+     FILE *f;
+     int tfd, flag;
+     if (!(f = fopen(tmpname,"w"))){
+       g_message("bz2: fopen failed: %s\n", g_strerror(errno));
+       return -1;
+     }
+     /* save fileno(stdout) */
+     tfd = dup(fileno(stdout));
+     if (tfd < 0)
+       {
+ 	g_message("bz2: dup failed: %s\n", g_strerror(errno));
+ 	return -1;
+       }
+     /* make stdout for this process be the output file */
+     if (dup2(fileno(f),fileno(stdout)) == -1)
+       {
+ 	g_message ("bz2: dup2 failed: %s\n", g_strerror(errno));
+ 	close(tfd);
+ 	return -1;
+       }
+     flag = fcntl(tfd, F_GETFD);
+     fcntl(tfd, F_SETFD, flag | FD_CLOEXEC);
+     pid = spawnlp (P_NOWAIT, "bzip2", "bzip2", "-cfd", filename, NULL);
+     fclose(f);
+     /* restore fileno(stdout) */
+     if (dup2(tfd,fileno(stdout)) == -1)
+       {
+ 	g_message ("bz2: dup2 failed: %s\n", g_strerror(errno));
+ 	close(tfd);
+ 	return -1;
+       }
+     close(tfd);
+     if (pid == -1)
+       {
+ 	g_message ("bz2: spawn failed: %s\n", g_strerror(errno));
+ 	return -1;
+       }
+   }
+ #endif
      {
        waitpid (pid, &status, 0);
  
diff -crN gimp-1.0.0.orig/plug-ins/bz2/Imakefile gimp-1.0.0/plug-ins/bz2/Imakefile
*** gimp-1.0.0.orig/plug-ins/bz2/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/bz2/Imakefile	Thu Jul  9 18:46:30 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(bz2)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/c_astretch/Imakefile gimp-1.0.0/plug-ins/c_astretch/Imakefile
*** gimp-1.0.0.orig/plug-ins/c_astretch/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/c_astretch/Imakefile	Thu Jul  9 18:48:02 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(c_astretch)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/CEL/CEL.c gimp-1.0.0/plug-ins/CEL/CEL.c
*** gimp-1.0.0.orig/plug-ins/CEL/CEL.c	Wed Jun  3 07:34:58 1998
--- gimp-1.0.0/plug-ins/CEL/CEL.c	Sat Jul 11 10:41:14 1998
***************
*** 55,63 ****
--- 55,67 ----
  
  /* Let GIMP library handle initialisation (and inquisitive users) */
  
+ #if 0
  int main(int argc, char *argv[]) {
    return gimp_main(argc, argv);
  }
+ #else
+ MAIN()
+ #endif
  
  /* GIMP queries plug-in for parameters etc. */
  
diff -crN gimp-1.0.0.orig/plug-ins/CEL/Imakefile gimp-1.0.0/plug-ins/CEL/Imakefile
*** gimp-1.0.0.orig/plug-ins/CEL/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/CEL/Imakefile	Thu Jul  9 18:48:42 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(CEL)
+ 
